<div class="col-4">
  <form [formGroup]="form" class="input-group mb-3">
    <span class="input-group-text">
      <svg
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 16 16"
        width="16"
        height="16"
      >
        <path
          fill-rule="evenodd"
          d="M11.5 7a4.499 4.499 0 11-8.998 0A4.499 4.499 0 0111.5 7zm-.82 4.74a6 6 0 111.06-1.06l3.04 3.04a.75.75 0 11-1.06 1.06l-3.04-3.04z"
        ></path>
      </svg>
    </span>
    <input
      type="text"
      class="form-control"
      placeholder="Search..."
      formControlName="search"
    />
  </form>
</div>

<div class="table-responsive">
  <table class="table table-bordered">
    <thead class="table-light">
      <tr>
        <th class="text-center">No</th>
        <th>Name</th>
        <th>Designation</th>
        <th>Address</th>
        <th>Date Of birth</th>
        <th class="text-center">Age</th>
      </tr>
    </thead>
    <tbody>
      <tr
        *ngFor="
          let element of dataSource | searchFilter: form.controls.search.value;
          let i = index
        "
      >
        <td class="text-center">{{ i + 1 }}</td>
        <td>{{ element.firstName }} {{ element.lastName }}</td>
        <td>{{ element.company.title }}</td>
        <td>{{ element.address.address }}</td>
        <td>{{ element.birthDate | date: "dd-MM-yyyy" }}</td>
        <td class="text-center">{{ element.birthDate | age }}</td>
      </tr>
    </tbody>
  </table>
  <pagination
    [maxSize]="maxSize"
    [totalItems]="totalItems"
    [(ngModel)]="currentPage"
    (pageChanged)="pageChanged($event)"
    previousText="&lsaquo;"
    nextText="&rsaquo;"
    firstText="&laquo;"
    lastText="&raquo;"
  >
  </pagination>
</div>
